I just installed Google Earth on my Debian desktop.

google-earth1

PROCEDURE

1) download google earth for i386 and place in a directory of your choice:
command: wget https://dl.google.com/dl/earth/client/current/google-earth-stable_current_i386.deb

2) unpack and install
command: dpkg -i google-earth-stable*.deb

Selecting previously unselected package google-earth-pro-stable.
(Reading database ... 244286 files and directories currently installed.)
Preparing to unpack google-earth-stable_current_i386.deb ...
Unpacking google-earth-pro-stable (7.3.0.3832-r0) ...
dpkg: dependency problems prevent configuration of google-earth-pro-stable:
google-earth-pro-stable depends on lsb-core (>= 3.2); however:
Package lsb-core is not installed.

3) Note the above error: lsb_core is not installed.

So I installed lsb_core:
command: apt-get install lsb-core

Reading package lists... Done
Building dependency tree
Reading state information... Done
Note, selecting 'lsb-compat' instead of 'lsb-core'
You might want to run 'apt --fix-broken install' to correct these.
The following packages have unmet dependencies:
lsb-compat : Depends: cups-filters (>= 1.0.36) but it is not going to be installed
E: Unmet dependencies. Try 'apt --fix-broken install' with no packages (or specify a solution).

after which I used the command: apt --fix-broken install

Then google-earth was able to install successfully: dpkg -i google-earth-stable*.deb

Find the Google-Earth icon in the Internet menu

Add comment


Security code
Refresh